Skip to main content
GET
/
posts
/
{id}
Get post
curl --request GET \
  --url https://mvp.tryunsora.com/api/v1/posts/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://mvp.tryunsora.com/api/v1/posts/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://mvp.tryunsora.com/api/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "<string>",
    "userId": "<string>",
    "mainCaption": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "scheduledFor": "2023-11-07T05:31:56Z",
    "scheduledTimezone": "<string>",
    "publishedAt": "2023-11-07T05:31:56Z",
    "error": "<string>",
    "media": [
      {
        "id": "<string>",
        "postId": "<string>",
        "order": 123,
        "assetId": "<string>"
      }
    ],
    "postAccounts": [
      {
        "id": "<string>",
        "postId": "<string>",
        "accountId": "<string>",
        "published": true,
        "customCaption": "<string>",
        "title": "<string>",
        "publishedAt": "2023-11-07T05:31:56Z",
        "account": {
          "id": "<string>",
          "provider": "<string>",
          "accountName": "<string>",
          "accountUsername": "<string>",
          "profilePicture": "<string>"
        }
      }
    ]
  },
  "message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Clerk session JWT or Unsora API key (uns_live_*)

Path Parameters

id
string
required

Response

Post details

success
boolean
required
data
object
required
message
string